##### 7.7.7.0. iv2lpMat

Procedure from library `fpadim.lib` (see fpadim_lib).

Usage:
  iv2lpMat(M); M an intmat

Return:
  ideal

Purpose:
  Converting an intmat into an ideal of the corresponding monomials.
  The rows of the intmat corresponds to an intvec, which stores the
  monomial.
  For the encoding of the variables see the overview.

Assume:
  - The rows of M must correspond to Letterplace monomials
  - basering has to be a Letterplace ring

Example:

    LIB "fpadim.lib";
    ring r = 0,(x,y,z),dp;
    def R = makeLetterplaceRing(5); // constructs a Letterplace ring
    setring R; // sets basering to Letterplace ring
    intmat u[3][1] = 1,1,2; intmat v[1][3] = 2,1,3; intmat w[2][3] = 3,1,1,2,3,1;
    // defines intmats of different size containing intvec representations of
    // monomials as rows
    iv2lpMat(u); // returns the monomials contained in u
    ==> _[1]=x(1)
    ==> _[2]=x(1)
    ==> _[3]=y(1)
    iv2lpMat(v); // returns the monomials contained in v
    ==> _[1]=y(1)*x(2)*z(3)
    iv2lpMat(w); // returns the monomials contained in w
    ==> _[1]=z(1)*x(2)*x(3)
    ==> _[2]=y(1)*z(2)*x(3)

User manual for Singular version 4-0-3, 2016, generated by texi2html.